net.minecraftforge.client

## Class ForgeHooksClient

- java.lang.Object
- - net.minecraftforge.client.ForgeHooksClient

-     public class ForgeHooksClient
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Tessellator` | `defaultTessellator`
    `static boolean` | `inWorld`
    `static HashMap<net.minecraftforge.client.ForgeHooksClient.TesKey,IRenderContextHandler>` | `renderHandlers`
    `static TreeSet<net.minecraftforge.client.ForgeHooksClient.TesKey>` | `renderTextures`
    `static HashMap<net.minecraftforge.client.ForgeHooksClient.TesKey,Tessellator>` | `tessellators`
    `static HashMap<String,Integer>` | `textures`
    `static IRenderContextHandler` | `unbindContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeHooksClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `afterBlockRender(Block block, RenderBlocks render)`
    `static void` | `afterRenderPass(int pass)`
    `static void` | `beforeBlockRender(Block block, RenderBlocks render)`
    `static void` | `beforeRenderPass(int pass)`
    `static void` | `bindTexture(String texture, int subID)`
    `static void` | `dispatchRenderLast(RenderGlobal context, float partialTicks)`
    `static String` | `getArmorTexture(ItemStack armor, String _default)`
    `static boolean` | `onDrawBlockHighlight(RenderGlobal context, EntityPlayer player, MovingObjectPosition target, int subID, ItemStack currentItem, float partialTicks)`
    `static void` | `onTextureLoad(String texture, ITexturePack pack)`
    `static void` | `onTextureLoadPre(String texture)` This is added for Optifine's convenience.
    `static void` | `orientBedCamera(Minecraft mc, EntityLiving entity)`
    `static boolean` | `renderEntityItem(EntityItem entity, ItemStack item, float bobing, float rotation, Random random, RenderEngine engine, RenderBlocks renderBlocks)`
    `static void` | `renderEquippedItem(IItemRenderer customRenderer, RenderBlocks renderBlocks, EntityLiving entity, ItemStack item)`
    `static boolean` | `renderInventoryItem(RenderBlocks renderBlocks, RenderEngine engine, ItemStack item, boolean inColor, float zLevel, float x, float y)`
    `static void` | `setRenderPass(int pass)`
    `static void` | `unbindTexture()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tessellators

          public static HashMap<net.minecraftforge.client.ForgeHooksClient.TesKey,Tessellator> tessellators

    - #### textures

          public static HashMap<String,Integer> textures

    - #### renderTextures

          public static TreeSet<net.minecraftforge.client.ForgeHooksClient.TesKey> renderTextures

    - #### defaultTessellator

          public static Tessellator defaultTessellator

    - #### inWorld

          public static boolean inWorld

    - #### renderHandlers

          public static HashMap<net.minecraftforge.client.ForgeHooksClient.TesKey,IRenderContextHandler> renderHandlers

    - #### unbindContext

          public static IRenderContextHandler unbindContext

  - ### Constructor Detail

    - #### ForgeHooksClient

          public ForgeHooksClient()

  - ### Method Detail

    - #### bindTexture

          public static void bindTexture(String texture,
                         int subID)

    - #### unbindTexture

          public static void unbindTexture()

    - #### beforeRenderPass

          public static void beforeRenderPass(int pass)

    - #### afterRenderPass

          public static void afterRenderPass(int pass)

    - #### beforeBlockRender

          public static void beforeBlockRender(Block block,
                               RenderBlocks render)

    - #### afterBlockRender

          public static void afterBlockRender(Block block,
                              RenderBlocks render)

    - #### getArmorTexture

          public static String getArmorTexture(ItemStack armor,
                               String _default)

    - #### renderEntityItem

          public static boolean renderEntityItem(EntityItem entity,
                                 ItemStack item,
                                 float bobing,
                                 float rotation,
                                 Random random,
                                 RenderEngine engine,
                                 RenderBlocks renderBlocks)

    - #### renderInventoryItem

          public static boolean renderInventoryItem(RenderBlocks renderBlocks,
                                    RenderEngine engine,
                                    ItemStack item,
                                    boolean inColor,
                                    float zLevel,
                                    float x,
                                    float y)

    - #### renderEquippedItem

          public static void renderEquippedItem(IItemRenderer customRenderer,
                                RenderBlocks renderBlocks,
                                EntityLiving entity,
                                ItemStack item)

    - #### orientBedCamera

          public static void orientBedCamera(Minecraft mc,
                             EntityLiving entity)

    - #### onDrawBlockHighlight

          public static boolean onDrawBlockHighlight(RenderGlobal context,
                                     EntityPlayer player,
                                     MovingObjectPosition target,
                                     int subID,
                                     ItemStack currentItem,
                                     float partialTicks)

    - #### dispatchRenderLast

          public static void dispatchRenderLast(RenderGlobal context,
                                float partialTicks)

    - #### onTextureLoad

          public static void onTextureLoad(String texture,
                           ITexturePack pack)

    - #### onTextureLoadPre

          public static void onTextureLoadPre(String texture)

      This is added for Optifine's convenience. And to explode if a ModMaker is developing.
      Parameters:
        `texture` -

    - #### setRenderPass

          public static void setRenderPass(int pass)